Primary Key Input¶
The generated DELETE Lambda accepts the primary key from query parameters, path parameters, or JSON body.
Accepted aliases:
application\_credential\_idprimary\_key\_valueid
Source repository: jef-systems/jef-one-backend
Source SHA: 303f7e92cc9d81f03e13c6945170c023c0aaa26f
Source run id: 28389591962
Lambda function: jef-one-delete-001
Lambda ARN: arn:aws:lambda:ap-southeast-1:246715082475:function:jef-one-delete-001
HTTP method: DELETE
Operation: delete-one
API path: /one-application-credentials-delete-one
Endpoint URL: https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-application-credentials-delete-one
API Gateway REST API ID: mfr670zvsh
API Gateway resource ID: j2trcj
API Gateway source ARN: arn:aws:execute-api:ap-southeast-1:246715082475:mfr670zvsh/\*/DELETE/one-application-credentials-delete-one
Stage: prod
DynamoDB table: jef-one-application-credentials
Primary key: application\_credential\_id
The generated DELETE Lambda accepts the primary key from query parameters, path parameters, or JSON body.
Accepted aliases:
application\_credential\_id
primary\_key\_value
id
DELETE /one-application-credentials-delete-one?primary_key_value=00000000-0000-4000-8000-000000000000
{
"primary_key_value": "00000000-0000-4000-8000-000000000000"
}
curl -X DELETE "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-application-credentials-delete-one" -H "Content-Type: application/json" -d '{"primary_key_value": "00000000-0000-4000-8000-000000000000"}'
curl.exe -X DELETE "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-application-credentials-delete-one" -H "Content-Type: application/json" -d "{\"primary_key_value\": \"00000000-0000-4000-8000-000000000000\"}"
Status |
Meaning |
|---|---|
200 |
Item deleted. |
400 |
Missing primary key, invalid payload, or cascade delete attempted. |
404 |
Item not found. |
409 |
Delete blocked because child records exist. |
405 |
Wrong HTTP method. |
500 |
Unexpected error. |